Edit Queued Message
curl --request PATCH \
--url https://api.tryreplicas.com/v1/replica/{id}/chats/{chatId}/queue/{messageId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>"
}
'import requests
url = "https://api.tryreplicas.com/v1/replica/{id}/chats/{chatId}/queue/{messageId}"
payload = { "message": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>'})
};
fetch('https://api.tryreplicas.com/v1/replica/{id}/chats/{chatId}/queue/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"queue": [
{
"id": "<string>",
"message": "<string>",
"queuedAt": "2023-11-07T05:31:56Z",
"senderUserId": "<string>",
"senderEmail": "<string>",
"senderDisplayName": "<string>"
}
]
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Replica
Edit Queued Message
Updates the text of a message that is still waiting in a chat queue.
PATCH
/
v1
/
replica
/
{id}
/
chats
/
{chatId}
/
queue
/
{messageId}
Edit Queued Message
Authorizations
API key authentication. Obtain your API key from the Replicas dashboard under Organization → Settings → API Keys.
Path Parameters
The unique identifier of the replica
The unique identifier of the chat
The unique identifier of the queued message
Body
application/json
Request to replace the text of a queued message.
New message text.
Minimum string length:
1⌘I